Package org.apache.sysds.hops.codegen.opt

# Class ReachabilityGraph.SubProblem

java.lang.Object
org.apache.sysds.hops.codegen.opt.ReachabilityGraph.SubProblem

Enclosing class:
  ReachabilityGraph

public static class ReachabilityGraph.SubProblem extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`InterestingPoint[]`
`freeMat`
`int[]`
`freePos`
`int`
`offset`

## Constructor Summary

Constructors
Constructor
Description
`SubProblem(int off, int[] pos, InterestingPoint[] mat)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### offset

public int offset

### freePos

public int[] freePos

### freeMat

public InterestingPoint[] freeMat

## Constructor Details

### SubProblem

public SubProblem(int off, int[] pos, InterestingPoint[] mat)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`